searchData={"items":[{"type":"behaviour","title":"Fab.Person","doc":"Functions for generating random information about a person.","ref":"Fab.Person.html"},{"type":"behaviour","title":"Supported Locales - Fab.Person","doc":"- `af_ZA`\n- `az`\n- `cs_CZ`\n- `da`\n- `de`\n- `de_AT`\n- `de_CH`\n- `dv`\n- `el`\n- `en`\n- `en_AU`\n- `en_GB`\n- `en_GH`\n- `en_HK`\n- `en_IN`\n- `en_NG`\n- `en_ZA`\n- `es`\n- `fr`\n- `ja`\n- `pt_BR`\n- `pt_PT`\n- `ru`\n- `zh_CN`","ref":"Fab.Person.html#module-supported-locales"},{"type":"function","title":"Fab.Person.first_name/1","doc":"Returns a random first name.","ref":"Fab.Person.html#first_name/1"},{"type":"function","title":"Options - Fab.Person.first_name/1","doc":"- `:sex` – Can be `:female`, `:male`, or `:mixed`. Defaults to `:mixed`.","ref":"Fab.Person.html#first_name/1-options"},{"type":"function","title":"Examples - Fab.Person.first_name/1","doc":"iex> Fab.Person.first_name()\n    \"Ciara\"\n\n    iex> Fab.Person.first_name(sex: :female)\n    \"Cheryl\"\n\n    iex> Fab.Person.first_name(sex: :male)\n    \"Erik\"","ref":"Fab.Person.html#first_name/1-examples"},{"type":"callback","title":"Fab.Person.first_name/1","doc":"","ref":"Fab.Person.html#c:first_name/1"},{"type":"callback","title":"Fab.Person.full_name/0","doc":"","ref":"Fab.Person.html#c:full_name/0"},{"type":"function","title":"Fab.Person.full_name/1","doc":"Generates a random full name.","ref":"Fab.Person.html#full_name/1"},{"type":"function","title":"Options - Fab.Person.full_name/1","doc":"- `:first_name` - First name to use. Defaults to a randomly selected name\nbased on `:sex`.\n- `:last_name` - Last name to use. Defaults to a randomly selected name based\non `:sex`.\n- `:middle_name` - Middle name to use. Defaults to a randomly selected name\nbased on `:sex`.\n- `:prefix` - Prefix to use. Defaults to a randomly selected prefix based on\n`:sex`.\n- `:sex` - Sex used to generate the first and last name. Can be `:female`,\n`:male` or `:mixed`. Defaults to `:mixed`.\n- `:suffix` - Suffix to use. Defaults to a randomly selected suffix based on\n`:sex`.","ref":"Fab.Person.html#full_name/1-options"},{"type":"function","title":"Examples - Fab.Person.full_name/1","doc":"iex> Fab.Person.full_name()\n    \"Osbaldo Reilly\"\n\n    iex> Fab.Person.full_name(first_name: \"Anthony\")\n    \"Anthony Schuppe\"\n\n    iex> Fab.Person.full_name(last_name: \"Smith\")\n    \"Miss Orville Smith\"\n\n    iex> Fab.Person.full_name(sex: :female)\n    \"Dr. Amy Romaguera\"\n\n    iex> Fab.Person.full_name(sex: :male)\n    \"Mr. Bryan Reichert\"","ref":"Fab.Person.html#full_name/1-examples"},{"type":"function","title":"Fab.Person.last_name/1","doc":"Returns a random last name.","ref":"Fab.Person.html#last_name/1"},{"type":"function","title":"Options - Fab.Person.last_name/1","doc":"- `:sex` – Can be `:female`, `:male`, or `:mixed`. Defaults to `:mixed`.","ref":"Fab.Person.html#last_name/1-options"},{"type":"function","title":"Examples - Fab.Person.last_name/1","doc":"iex> Fab.Person.last_name()\n    \"Reinger\"\n\n    iex> Fab.Person.last_name(sex: :female)\n    \"Lehner\"\n\n    iex> Fab.Person.last_name(sex: :male)\n    \"Glover\"","ref":"Fab.Person.html#last_name/1-examples"},{"type":"callback","title":"Fab.Person.last_name/1","doc":"","ref":"Fab.Person.html#c:last_name/1"},{"type":"function","title":"Fab.Person.middle_name/1","doc":"Returns a random middle name.","ref":"Fab.Person.html#middle_name/1"},{"type":"function","title":"Options - Fab.Person.middle_name/1","doc":"- `:sex` – Can be `:female`, `:male`, or `:mixed`. Defaults to `:mixed`.","ref":"Fab.Person.html#middle_name/1-options"},{"type":"function","title":"Examples - Fab.Person.middle_name/1","doc":"iex> Fab.Person.middle_name()\n    \"Jules\"\n\n    iex> Fab.Person.middle_name(sex: :female)\n    \"Ellen\"\n\n    iex> Fab.Person.middle_name(sex: :male)\n    \"William\"","ref":"Fab.Person.html#middle_name/1-examples"},{"type":"callback","title":"Fab.Person.middle_name/1","doc":"","ref":"Fab.Person.html#c:middle_name/1"},{"type":"function","title":"Fab.Person.prefix/1","doc":"Returns a random name prefix.","ref":"Fab.Person.html#prefix/1"},{"type":"function","title":"Options - Fab.Person.prefix/1","doc":"- `:sex` – Can be `:female`, `:male`, or `:mixed`. Defaults to `:mixed`.","ref":"Fab.Person.html#prefix/1-options"},{"type":"function","title":"Examples - Fab.Person.prefix/1","doc":"iex> Fab.Person.prefix()\n    \"Mr.\"\n\n    iex> Fab.Person.prefix(sex: :female)\n    \"Dr.\"\n\n    iex> Fab.Person.prefix(sex: :male)\n    \"Mr.\"","ref":"Fab.Person.html#prefix/1-examples"},{"type":"callback","title":"Fab.Person.prefix/1","doc":"","ref":"Fab.Person.html#c:prefix/1"},{"type":"function","title":"Fab.Person.sex/0","doc":"Returns a random sex.","ref":"Fab.Person.html#sex/0"},{"type":"function","title":"Examples - Fab.Person.sex/0","doc":"iex> Fab.Person.sex()\n    \"male\"","ref":"Fab.Person.html#sex/0-examples"},{"type":"callback","title":"Fab.Person.sex/0","doc":"","ref":"Fab.Person.html#c:sex/0"},{"type":"type","title":"Fab.Person.sex_t/0","doc":"","ref":"Fab.Person.html#t:sex_t/0"},{"type":"function","title":"Fab.Person.suffix/0","doc":"Returns a random name suffix.","ref":"Fab.Person.html#suffix/0"},{"type":"function","title":"Examples - Fab.Person.suffix/0","doc":"iex> Fab.Person.suffix()\n    \"DVM\"","ref":"Fab.Person.html#suffix/0-examples"},{"type":"callback","title":"Fab.Person.suffix/0","doc":"","ref":"Fab.Person.html#c:suffix/0"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}